import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "标题",
  thumbnail: require("@/assets/comps/Cover2/thumbnail.jpg"),
  value: {},
  children: {
    img1: {
      value: {
        url: require("@/assets/comps/Cover2/img_1.png"),
      },
    },
    img2: {
      value: {
        url: require("@/assets/comps/Cover2/img_2.jpg"),
      },
    },
    img3: {
      value: {
        url: require("@/assets/comps/Cover2/img_3.jpg"),
      },
    },
    title: {
      value: `<p style="text-align:center;"><span style="color:hsl(0,0%,60%);font-size:42px;">NEW &nbsp;</span><span style="font-size:42px;"> FasHION</span></p><p>&nbsp;</p>`,
    },
    text1: {
      compKey: "Text",
      value: `<p><span style="color:hsl(0,0%,100%);font-size:42px;"><strong>P190</strong></span></p><p><span style="color:hsl(0,0%,100%);font-size:20px;"><strong>全新 &nbsp; &nbsp; 时尚 &nbsp; &nbsp;</strong></span><span style="color:hsl(0,0%,0%);font-size:20px;"><strong>简约</strong></span></p>`,
    },
    text2: {
      compKey: "Text",
      value: `<p style="text-align:right;"><span style="color:hsl(0, 0%, 0%);">2023新品</span></p>`,
    },
  },
});

export const Form = createAttrsForm([]);
