import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "标题",
  thumbnail: require("./thumbnail.jpg"),
  value: {},
  layout: {
    padding: "0.5rem 0",
  },
  children: {
    title: {
      value: `<p style="text-align:center;"><span style="color:#333;font-size:20px;font-weight: bold;">产品信息</span></p>`,
      layout: {
        textAlign: "center",
      },
    },
  },
});

export const Form = createAttrsForm([]);
