import { defineUI } from "queenjs";
import { useEditor } from "../..";
import { CompUI } from "../CompUI";

export default defineUI({
  setup() {
    const { store } = useEditor();
    return () => (
      <div>
        {store.designData.content.map((d) => {
          const Comp: any = CompUI[d.compKey]?.Component;
          return Comp && <Comp key={d.id} compId={d.id} />;
        })}
      </div>
    );
  },
});
