import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createOptions } from "../../defines/createOptions";
import { GroupNumber } from "../../formItems/GroupNumber";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "容器",
  thumbnail: Dict_Imgs.Default,
  value: {
    position: [0, 0],
  },
  layout: {
    size: [200, 200],
  },
});

export const Form = createAttrsForm([
  {
    label: "坐标",
    dataIndex: "value.position",
    component: GroupNumber,
    props: {
      labels: ["X", "Y"],
    },
  },
]);
