import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createOptions } from "../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "图片",
  thumbnail: Dict_Imgs.Default,
  value: {url: Dict_Imgs.Default, x: 0, y:0, s: 1},
});

export const Form = createAttrsForm([
  {
    label: "图片",
    dataIndex: "value.url",
    component: "Input",
  },
  {
    label: "x偏移",
    dataIndex: "value.x",
    component: "Input",
  },
  {
    label: "y偏移",
    dataIndex: "value.y",
    component: "Input",
  },{
    label: "缩放",
    dataIndex: "value.s",
    component: "Input",
  },
]);
