import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createOptions } from "../../defines/createOptions";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "文本",
  thumbnail: Dict_Imgs.Default,
  value: "请输入内容",
});

export const Form = createAttrsForm([
  {
    label: "文本",
    dataIndex: "value",
    component: "Input",
  },
]);
