import { EditorModule } from "..";

export const helpers = EditorModule.helper({
  designToNaturalSize(value: number) {
    return value / 100 + "rem";
  },
  findParentComp(compId: string) {
    const { content } = this.store.designData;
    const comp = content.find((comp) => {
      return Object.values(comp.children || {}).find((d) => d.id === compId);
    });
    return comp;
  },
});
